package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.mothMovable.MothPopularity;

import java.util.List;

/**
 *  活动生成二维码，关注人数统计接口
 * @author xm
 * @Date 2019-04-25
 */
public interface MothPopularityMapper {
    /**
     * 获取集合
     * @param  mothPopularity
     * @return List
     */
    List<MothPopularity> getMothPopularityList(MothPopularity  mothPopularity);
    /**
     * 查询单条数据
     * @param  id
     * @return  mothPopularity
     */
    MothPopularity  getMothPopularityById(Integer  id);
    /**
     * 增加数据
     * @param  mothPopularity
     * @return Integer
     */
    Integer  save(MothPopularity  mothPopularity);
    /**
     * 修改数据
     * @param  mothPopularity
     * @return Integer
     */
    Integer  update(MothPopularity  mothPopularity);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer  id);
}